Bug Hunting Session
Bug 126751 - CRASH: Adding Hyperlink with no text
Summary: CRASH: Adding Hyperlink with no text
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-08-07 16:13 UTC by Xisco Faulí
Modified: 2019-08-09 10:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-08-07 16:13:45 UTC
Steps to reproduce:
1. Open Impress
2. Click on any textbox or add a new one
3. Ctrl + K

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 1067c32964e4e0754d2d926e1319b4060ded93f5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-08-07 16:14:56 UTC
Regression introduced in

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1c6218df32838dc77da8e15dc5ce47eadad1a13f

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-07-08 08:22:33 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-07-08 10:28:45 +0200
commit	1c6218df32838dc77da8e15dc5ce47eadad1a13f (patch)
tree	3ba3504e924b987a0d4f62972a0d9c6cefeed164
parent	86876ff86ef19af20e1c7202e029bbde44051a07 (diff)
Related tdf#98575 Allow editing link even when URL field is not selected

Bisected with: bibisect-linux64-6.4

Adding Cc: to Samuel Mehrbrodt
Comment 2 Commit Notification 2019-08-08 09:19:43 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/63889d3d465e9b4292dd5bb630bd3394494c8a6d%5E%21

tdf#126751 Fix crash when inserting hyperlink into empty textbox

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-08-09 10:36:39 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: d4a70ecf61b016a32caef015eea127d13b357cf7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Samuel, thanks for fixing this issue!